%% Datenvorbereitung
clear;
x1 = random('Normal',0,1,200,2);
[Q , c] = MVE(x1', 0.001);

% % Ellipse manuell zeichnen
%  y2=[]; y3=[];  y5=[]; y6=[]; 
% k=1;    y1=min(x1(:,1))-1:0.01:max(x1(:,1))+1;    
%     for i=min(x1(:,1))-1:0.01:max(x1(:,1))+1
%         t=i;
%         p=(t*Q(2,1)-c(1)*Q(2,1)+t*Q(1,2)-c(1)*Q(1,2)-2*c(2)*Q(2,2))/Q(2,2);
%         q=(t*(t*Q(1,1)-2*c(1)*Q(1,1)-c(2)*Q(2,1)-c(2)*Q(1,2))+c(1)*(c(1)*Q(1,1)+c(2)*Q(2,1)+c(2)*Q(1,2))+c(2)*c(2)*Q(2,2)-k)/Q(2,2);
%         t=-p/2+sqrt(p*p/4-q);
%         if imag(t)>0 
%             y2=[y2 real(t)];
%         else 
%             y2=[y2 t];
%         end
%     end;
%     for i=min(x1(:,1))-1:0.01:max(x1(:,1))+1
%         t=i;
%         p=(t*Q(2,1)-c(1)*Q(2,1)+t*Q(1,2)-c(1)*Q(1,2)-2*c(2)*Q(2,2))/Q(2,2);
%         q=(t*(t*Q(1,1)-2*c(1)*Q(1,1)-c(2)*Q(2,1)-c(2)*Q(1,2))+c(1)*(c(1)*Q(1,1)+c(2)*Q(2,1)+c(2)*Q(1,2))+c(2)*c(2)*Q(2,2)-k)/Q(2,2);
%         t=-p/2-sqrt(p*p/4-q);
%         if imag(t)>0 
%             y3=[y3 real(t)];
%         else 
%             y3=[y3 t];
%         end
%     end;
% k=0.5;  y4=min(x1(:,1)):0.01:max(x1(:,1));    
%     for i=min(x1(:,1)):0.01:max(x1(:,1))
%         t=i;
%         p=(t*Q(2,1)-c(1)*Q(2,1)+t*Q(1,2)-c(1)*Q(1,2)-2*c(2)*Q(2,2))/Q(2,2);
%         q=(t*(t*Q(1,1)-2*c(1)*Q(1,1)-c(2)*Q(2,1)-c(2)*Q(1,2))+c(1)*(c(1)*Q(1,1)+c(2)*Q(2,1)+c(2)*Q(1,2))+c(2)*c(2)*Q(2,2)-k)/Q(2,2);
%         t=-p/2+sqrt(p*p/4-q);
%         if imag(t)>0 
%             y5=[y5 real(t)];
%         else 
%             y5=[y5 t];
%         end
%     end;
%     for i=min(x1(:,1)):0.01:max(x1(:,1))
%         t=i;
%         p=(t*Q(2,1)-c(1)*Q(2,1)+t*Q(1,2)-c(1)*Q(1,2)-2*c(2)*Q(2,2))/Q(2,2);
%         q=(t*(t*Q(1,1)-2*c(1)*Q(1,1)-c(2)*Q(2,1)-c(2)*Q(1,2))+c(1)*(c(1)*Q(1,1)+c(2)*Q(2,1)+c(2)*Q(1,2))+c(2)*c(2)*Q(2,2)-k)/Q(2,2);
%         t=-p/2-sqrt(p*p/4-q);
%         if imag(t)>0 
%             y6=[y6 real(t)];
%         else 
%             y6=[y6 t];
%         end
%     end;

% Q-Norm als Funktion definieren
f=@(x,y)((x-c(1))*((x-c(1))*Q(1,1)+(y-c(2))*Q(2,1))+ ...
         (y-c(2))*((x-c(1))*Q(1,2)+(y-c(2))*Q(2,2)));

% eigentliche Zeichnung
plot(x1(:,1),x1(:,2),'.') %Datenpunkte 
hold on
plot(c(1), c(2),'r*') %Zentrum
ezcontour(f,[-3.5,3.5],100) %Alpha-Schnitte 0,5er Schritt mit 0,5 angefangen
% plot(y1,y2)   % falls manuelle Ellipsenzeichnung ntig
% plot(y1,y3)   % falls manuelle Ellipsenzeichnung ntig
% plot(y4,y5)   % falls manuelle Ellipsenzeichnung ntig
% plot(y4,y6)   % falls manuelle Ellipsenzeichnung ntig
hold off
