 function [Ausgabe_m] = m_write(Input, TradeOff)
 Ausgabe_m = zeros(size(Input,2)+3,1);
 V = cov(Input); 
 R = mean(Input)'; 
 [X_m, E_m] = Markowitz(R, V, TradeOff);
 Ausgabe_m(1:size(Input,2))= X_m;      
 Ausgabe_m(size(Input,2)+1)= E_m*250; 
 Ausgabe_m(size(Input,2)+2)= sqrt(250*X_m'*V*X_m); 
 Ausgabe_m(size(Input,2)+3)= E_m - TradeOff*sqrt(X_m'*V*X_m);
 end